Subject: Re: question: Any way to trigger DHCP renewal from kernel code?

From: Vlad Yasevich <[email-masked]>
Date: Thu, 22 May 2014 20:49:43 -0400

On 05/22/2014 06:24 PM, Haiyang Zhang wrote:
> Hi,
> 
> Our synthetic network driver is notified when the Hyper-V host 
> resume from sleep/hibernation. We need to renew DHCP in this case.
> I'm looking for a way to trigger DHCP renewal from kernel mode 
> code.
> 
> Can anyone help me?

One idea:

Generate a udev event and a udev rule that triggers a renew when
event is received.

-vlad

> 
> Thanks,
> - Haiyang
> 
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>